/****************************
 * Common
****************************/
/* open/close */
html:not(.menu-open) .vii-menu-mobile {visibility:hidden; opacity:0;}
html:not(.menu-open) .vii-menu-mobile-container {transform:translateX(-105%);}

/* wrapper */
[data-menu*="default"][data-menu*="mobile"] {display:block;}
.vii-menu-mobile-container {
    width:100%; max-width:var(--vii-mobile-menu-width); padding-top:var(--vii-header-height);
    background:#fff;
}
.vii-menu-mobile-inner {height:100%;}

/* close layer */
.vii-menu-mobile__close {background:rgba(0, 0, 0, .3);}

/* sections */
.vii-menu-mobile__section {padding:40px var(--vii-gap-container) var(--vii-gap-container);}

/* section bottom */
.vii-menu-mobile__section.bottom .social-buttons {--vii-spacing-default:0px;}
.vii-menu-mobile__section.bottom .social-buttons ul > li:not(:last-child) {margin-right:20px;}

/* Main category */
.mobile-menu ul > li.main-category:before {display:none;}


/****************************
 * Menu
****************************/
/* Common Menu */
.mobile-menu.main-menu, .mobile-menu ul > li:not(:last-child) {
    margin-bottom:10px; padding-bottom:10px;
    border-bottom:1px solid rgba(112, 112, 112, .2);
}
.mobile-menu ul {list-style:none; margin:0;}
.mobile-menu ul > li {padding:0;}
.mobile-menu ul > li > a {
    position:relative; display:block;
    padding:5px 0; text-decoration:none;
    font-family:var(--vii-font-secondary); font-weight:500;
}
.mobile-menu ul > li[class*="current-"] > a,
.mobile-menu ul > li > a:hover, .mobile-menu ul > li > a:focus {color:var(--vii-color-dark-green);}

/* Common Sub Menu */
.mobile-menu ul.sub-menu {padding-top:10px; width:100%; padding-left:10px;}
.mobile-menu ul.sub-menu > li:first-child {padding-top:10px; border-top:1px solid rgba(112, 112, 112, .1);}
.mobile-menu ul.sub-menu > li:not(:last-child) {border-bottom-color:rgba(112, 112, 112, .1);}


/****************************
 * Menu Has Child
****************************/
.menu-item-has-children {display:flex; flex-wrap:wrap; justify-content:space-between; position:relative;}
.menu-item-has-children > a {order:1; max-width:calc(100% - 40px);}
.menu-item-has-children > .menu-item-arrow {order:2; width:40px;}
.menu-item-has-children > ul {order:3; width:100%;}

/* Arrow button */
.menu-item-arrow {text-align:right;}
.menu-item-arrow__button {
    font-size:.8em;
    padding:5px; margin-right:-5px;
    background:transparent;
}
.menu-item-arrow__button i {display:inline-block; transition:transform .3s ease;}
.menu-item-arrow__button.active i {transform:rotate(180deg);}
.menu-item-arrow__button:hover, .menu-item-arrow__button:focus {color:var(--vii-color-dark-green);}

/****************************
 * Mobile Menu Responsive
****************************/
@media only screen and (max-width:1280px) {
    html.menu-open {overflow:hidden; height:100%;}
    .vii-menu-mobile.hidden {display:block;}
}

@media only screen and (max-width:480px) {
    .vii-menu-mobile-container {max-width:unset;}
}